Jelastic 6.0.3

This document is preliminary and subject to change.

In this document, you will find all of the new features, enhancements and visible changes included to the Jelastic PaaS 6.0.3 release.

Software Stack Versions

Actualized list of supported OS templates and software stack versionsLearn more

Fixes Compatible with Prior Versions

Bug fixes implemented in the current release and integrated to the previous Jelastic versions through the appropriate patchesLearn more

Bug Fixes

List of fixes applied to the platform starting from the current releaseLearn more

Fixes Compatible with Prior Versions

Below, you can find the fixes that were implemented in the Jelastic 6.0.3 release and also integrated into previous Jelastic versions by means of the appropriate patches.

Jelastic 6.0.3
#Compatible fromDescription
JE-571103.3An error occurs during the Spring Boot Thin/Fat Jar Builder JPS packages installation
JE-576863.3Cyclos packages from the Marketplace cannot be installed due to the Java 11 requirement in the latest Cyclos versions
JE-577123.3The settings-custom configuration file is ignored during the initial installation of the Let’s Encrypt add-on
JE-579413.3The webroot value should remain false for the old Let’s Encrypt add-ons during the upgrade
JE-499645.0.5Incorrect permissions for the /etc/phpMyAdmin file on some MySQL/MariaDB/Percona tags
JE-507155.0.5An error occurs when restarting NGINX PHP after redeploying to the older version
JE-536945.0.5The passwordless access to databases should be disabled
JE-547645.0.5An error occurs when restarting Apache PHP after redeploying to the older version
JE-566285.0.5The mysqld service should not be running on the Apache PHP servers by default
JE-571805.0.5The “RuntimeError: Your version of SQLite is too old” error page is opened by default when accessing the Ruby-based environments
JE-577375.0.5GraalVM Java engine is installed when creating Maven with OpenJDK 8 via API
JE-578195.0.5HAProxy restart fails with the missing /usr/sbin/haproxy directory error
JE-522165.3An error occurs when building an application using the native-image tool on the GraalVM-based Java nodes
JE-521495.3.2Empty firewall rules on the WildFly application server after creation
JE-574775.3.2An error occurs when installing WildFly Cluster from the Marketplace
JE-527795.3.2The $WEBROOT environment variable is missing on the WildFly application server
JE-549625.4The autofs process on the client node crashes during the storage restart
JE-579375.4Kubernetes Cluster cannot be installed from the container types hint in the topology wizard
JE-566675.7.2An error occurs when restarting nodes with the “jem service restart” command
JE-559225.7.4The REDIS_ENABLED environment is ignored when restarting LiteSpeed (LLSMP) application server via the “jem service restart” command
JE-560405.7.4The “jem service reload” command should work on the Litespeed ADC without sudo permissions
JE-561885.7.4Mounts from the GlusterFS-cluster have incorrect parameters
JE-545125.8.1Jenkins auto-cluster creation via API fails if the account’s cloudlets limit is lower than the recommended value in the package
JE-548895.8.1The /etc/sysconfig/jenkins file permissions are changed after enabling custom SSL for the environment with Jenkins node(s)
JE-550455.9.2An error occurs when disabling custom SSL on the Jetty node

Back to the top

Software Stack Versions

The software stack provisioning process is independent of the platform release, which allows new software solutions to be delivered as soon as they are ready. Herewith, due to the necessity to adapt and test new stack versions, there is a small delay between software release by its respective upstream maintainer and integration into Jelastic PaaS.

The most accurate and up-to-date list of the certified software stack versions can be found on the dedicated documentation page.

More info

Back to the top

Bug Fixes

In the table below, you can see the list of bug fixes applied to the platform starting from Jelastic 6.0.3 release:

Jelastic 6.0.3
#Affected VersionsDescription
JE-566486.0.1Abnormal memory usage and RDP connection failure on the Windows VM nodes after migration
JE-56847-Multiple abandoned sessions in the containers
JE-569966.0.1Incorrect minimum cloudlets number for the Marketplace packages with SQL database nodes
JE-57648-An error occurs when creating an environment via the JPS package
JE-577083.3An error occurs during the Jitsi package installation
JE-57727-Kubernetes Cluster 1.18.6 installation fails on the platforms below the 5.9.3 version
JE-57761-Docker tags for some repositories cannot be fetched
JE-577696.0.1An error occurs when increasing disk space for the Windows VM nodes
JE-578256.0.1Old disk space value is displayed in the topology wizard after increasing disk size for the Windows VM node
JE-57834-An error occurs when trying to create Windows VM via the topology wizard
JE-57934-The disk cost is colored incorrectly in the estimated price widget of the topology wizard

Back to the top